[Pkg-bluetooth-maintainers] Bug#539067: bluez: probably typo in udev rule

arne anka debian at ginguppin.de
Tue Jul 28 20:43:26 UTC 2009

Package: bluez
Version: 4.42-2
Severity: normal

in /lib/udev/rules.d/62-bluez-hid2hci.rules
there's arle taht should match a csr dongle, defining vendor 0a12 and id
1000. in my fr there's an csr dongle with vendor 0a12 -- but the id is

# CSR devices (in HID mode)
ACTION=="add", ENV{ID_VENDOR}=="0a12", ENV{ID_MODEL}=="1000"
RUN+="/lib/udev/bluez --method csr -v $env{ID_VENDOR} -p $env{ID_MODEL}
--mode hci"

even the
# CSR devices (in HCI mode)
section uses id 0001.
so, i guess it's just a typo and has to be 0001 everywhere:

# CSR devices (in HID mode)
ACTION=="add", ENV{ID_VENDOR}=="0a12", ENV{ID_MODEL}=="0001"
RUN+="/lib/udev/bluez --method csr -v $env{ID_VENDOR} -p $env{ID_MODEL}
--mode hci"

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_DK.UTF-8, LC_CTYPE=en_DK.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages bluez depends on:
ii  dbus                         1.2.16-2    simple interprocess messaging syst
ii  libbluetooth3                4.42-2      Library to use the BlueZ Linux Blu
ii  libc6                        2.9-23      GNU C Library: Shared libraries
ii  libdbus-1-3                  1.2.16-2    simple interprocess messaging syst
ii  libglib2.0-0                 2.20.4-1    The GLib library of C routines
ii  libnl1                       1.1-5       library for dealing with netlink s
ii  libusb-0.1-4                 2:0.1.12-13 userspace USB programming library
ii  lsb-base                     3.2-23      Linux Standard Base 3.2 init scrip
ii  makedev                      2.3.1-88    creates device files in /dev
ii  module-init-tools            3.9-2       tools for managing Linux kernel mo
ii  udev                         0.141-1     /dev/ and hotplug management daemo

bluez recommends no packages.

Versions of packages bluez suggests:
ii  python-dbus                   0.83.0-1   simple interprocess messaging syst
ii  python-gobject                2.16.1-1   Python bindings for the GObject li

-- debconf-show failed

More information about the Pkg-bluetooth-maintainers mailing list